/* 
 * Tara Graeve 
 * Project 3: Emoji - Driver 
 * 5/6/19
 */

import java.util.Scanner;

import edu.princeton.cs.introcs.StdDraw;

public class Driver {


	public static void main(String[] args) {

		Scanner keyboard = new Scanner(System.in); 
		System.out.println("How many rows of emojis would you like?");
		int rows = keyboard.nextInt(); 
		System.out.println("How many columns of emojis would you like?");
		int cols = keyboard.nextInt(); 


		// set canvas based on the number of rows and columns
		StdDraw.setCanvasSize(100*cols,100*rows); 
		StdDraw.setXscale(0,100*cols); 
		StdDraw.setYscale(0,100*rows); 


		// create and fill array with emojis before animating  
		Emoji[][] emojis = new Emoji[cols][rows]; 

		for(int i = 0; i < emojis.length; i++) {
			for (int j = 0; j < emojis[i].length; j++) {
				System.out.println("What would you like to draw? Smile, Frown, or Clock?");
				String response = keyboard.next(); 
				if (response.equalsIgnoreCase("clock")) { // if statements to draw corresponding object based on what the user enters
					System.out.println("What time would you like? Enter an hour followed by a space, then the minute"); 
					int hour = keyboard.nextInt(); 
					int min = keyboard.nextInt(); 
					emojis[i][j] = new ClockEmoji(50+100*i,50+100*j,50,hour,min); // these parameters will adjust the positioning to the correct placement based on the array position
				}

				if (response.equalsIgnoreCase("smile")) { 
					emojis[i][j] = new SmileyFaceEmoji(50+100*i,50+100*j,50); 				
				}
				if (response.equalsIgnoreCase("frown")) {
					emojis[i][j] = new FrowningFaceEmoji(50+100*i,50+100*j,50); 				
				}


			}
		}

		keyboard.close();

		// while true loop handles all the animation of the array created
		while(true) { 
			StdDraw.enableDoubleBuffering();
			StdDraw.clear(); 
			for(int i = 0; i < emojis.length; i++) { // for loop to access, draw, and animate each position of the array 
				for (int j = 0; j < emojis[i].length; j++) {
					emojis[i][j].animate(); 
					emojis[i][j].draw(); 
				}
			}

			StdDraw.show(); 
			StdDraw.pause(500);
		}

	}

}
